%define upstream_name	 Net-DNS
%define upstream_version 1.49

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl interface to the DNS resolver
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp) >= 1.100.0
BuildRequires: perl(Config)
BuildRequires: perl(Digest::HMAC) >= 1.30.0
BuildRequires: perl(Digest::MD5) >= 2.370.0
BuildRequires: perl(Digest::SHA) >= 5.230.0
BuildRequires: perl(Encode) >= 2.260.0
BuildRequires: perl(Exporter) >= 5.630.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find) >= 1.130.0
BuildRequires: perl(File::Spec) >= 3.290.0
BuildRequires: perl(Getopt::Long) >= 2.430.0
BuildRequires: perl(IO::File) >= 1.140.0
BuildRequires: perl(IO::Select) >= 1.170.0
BuildRequires: perl(IO::Socket) >= 1.300.0
BuildRequires: perl(IO::Socket::IP) >= 0.380.0
BuildRequires: perl(MIME::Base64) >= 3.70.0
BuildRequires: perl(PerlIO) >= 1.50.0
BuildRequires: perl(Scalar::Util) >= 1.190.0
BuildRequires: perl(Socket) >= 1.810.0
BuildRequires: perl(Test::Builder) >= 0.800.0
BuildRequires: perl(Test::More) >= 0.800.0
BuildRequires: perl(Time::Local) >= 1.190.0
BuildRequires: perl(base) >= 2.130.0
BuildRequires: perl(constant) >= 1.170.0
BuildRequires: perl(integer) >= 1.0.0
BuildRequires: perl(overload) >= 1.60.0
BuildRequires: perl(strict) >= 1.30.0
BuildRequires: perl(warnings) >= 1.50.100
BuildRequires: perl-devel
BuildArch:  noarch

Obsoletes:  perl-Net-DNS < 0.830.0-3

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

%description
Net::DNS is a collection of Perl modules that act as a Domain Name System (DNS)
resolver. It allows the programmer to perform DNS queries that are beyond the
capabilities of gethostbyname and gethostbyaddr.

The programmer should be somewhat familiar with the format of a DNS packet and
its various sections. See RFC 1035 or DNS and BIND (Albitz & Liu) for details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor < /dev/null
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README demo
%{_mandir}/*/*
%{perl_vendorlib}/Net

%changelog
* Fri Jan 24 2025 tv <tv> 1.490.0-1.mga10
+ Revision: 2141370
- update to 1.49

* Fri Sep 20 2024 tv <tv> 1.470.0-1.mga10
+ Revision: 2099595
- update to 1.47

* Sat Aug 24 2024 tv <tv> 1.460.0-1.mga10
+ Revision: 2090882
- update to 1.46

* Thu May 09 2024 tv <tv> 1.450.0-1.mga10
+ Revision: 2062977
- update to 1.45

* Wed Feb 21 2024 tv <tv> 1.440.0-1.mga10
+ Revision: 2042881
- update to 1.44

* Sat Jan 27 2024 tv <tv> 1.430.0-1.mga10
+ Revision: 2035357
- update to 1.43

* Thu Dec 28 2023 tv <tv> 1.420.0-1.mga10
+ Revision: 2022943
- update to 1.42

* Mon Dec 04 2023 tv <tv> 1.410.0-1.mga10
+ Revision: 2012956
- update to 1.41

* Thu Aug 31 2023 tv <tv> 1.400.0-1.mga10
+ Revision: 1982124
- update to 1.40

* Tue Aug 29 2023 tv <tv> 1.390.0-1.mga10
+ Revision: 1980997
- update to 1.39

* Mon Jan 02 2023 tv <tv> 1.360.0-1.mga9
+ Revision: 1928856
- update to 1.36

* Wed Oct 12 2022 tv <tv> 1.350.0-1.mga9
+ Revision: 1896425
- update to 1.35

* Sun Jun 05 2022 tv <tv> 1.340.0-1.mga9
+ Revision: 1861260
- update to 1.34

* Mon Mar 21 2022 umeabot <umeabot> 1.330.0-2.mga9
+ Revision: 1815858
- Mageia 9 Mass Rebuild

* Tue Dec 21 2021 tv <tv> 1.330.0-1.mga9
+ Revision: 1763124
- update to 1.33

* Sat Jul 17 2021 tv <tv> 1.320.0-1.mga9
+ Revision: 1736377
- update to 1.32

* Tue May 04 2021 tv <tv> 1.310.0-1.mga9
+ Revision: 1721210
- update to 1.31

* Fri Apr 02 2021 tv <tv> 1.300.0-1.mga9
+ Revision: 1712564
- update to 1.30

* Thu Nov 19 2020 tv <tv> 1.290.0-1.mga8
+ Revision: 1647482
- update to 1.29

* Sat Oct 24 2020 tv <tv> 1.280.0-1.mga8
+ Revision: 1639023
- update to 1.28

* Mon Sep 14 2020 tv <tv> 1.270.0-1.mga8
+ Revision: 1626158
- update to 1.27

* Mon Aug 10 2020 tv <tv> 1.260.0-1.mga8
+ Revision: 1612553
- update to 1.26

* Sun Jun 28 2020 tv <tv> 1.250.0-1.mga8
+ Revision: 1599733
- update to 1.25

* Thu May 28 2020 tv <tv> 1.240.0-1.mga8
+ Revision: 1588265
- update to 1.24

* Thu Mar 19 2020 tv <tv> 1.230.0-1.mga8
+ Revision: 1557884
- update to 1.23

* Sun Feb 16 2020 umeabot <umeabot> 1.220.0-2.mga8
+ Revision: 1530515
- Mageia 8 Mass Rebuild

* Fri Feb 14 2020 tv <tv> 1.220.0-1.mga8
+ Revision: 1517901
- update to 1.22

* Sat Aug 31 2019 tv <tv> 1.210.0-1.mga8
+ Revision: 1435850
- update to 1.21

* Sat Mar 23 2019 tv <tv> 1.200.0-1.mga7
+ Revision: 1379815
- update to 1.20

* Fri Nov 16 2018 tv <tv> 1.190.0-1.mga7
+ Revision: 1330084
- update to 1.19

* Thu Sep 27 2018 tv <tv> 1.180.0-1.mga7
+ Revision: 1308106
- update to 1.18

* Thu Sep 20 2018 umeabot <umeabot> 1.170.0-2.mga7
+ Revision: 1285115
- Mageia 7 Mass Rebuild

* Wed Aug 01 2018 tv <tv> 1.170.0-1.mga7
+ Revision: 1246519
- update to 1.17

* Sat Feb 10 2018 tv <tv> 1.150.0-1.mga7
+ Revision: 1200109
- update to 1.15

* Sun Dec 17 2017 tv <tv> 1.140.0-1.mga7
+ Revision: 1182998
- update to 1.14

* Wed Oct 18 2017 tv <tv> 1.130.0-1.mga7
+ Revision: 1172653
- update to 1.13

* Tue Oct 03 2017 tv <tv> 1.120.0-2.mga7
+ Revision: 1165842
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 1.120.0-1.mga7
+ Revision: 1154269
- new release

* Sat Jul 22 2017 shlomif <shlomif> 1.110.0-1.mga7
+ Revision: 1128819
- update to 1.11

* Thu Apr 27 2017 neoclust <neoclust> 1.90.0-2.mga6
+ Revision: 1097805
- New version - Fixes CVE-2016-1238 (mga#19051)

* Sun Jun 19 2016 pterjan <pterjan> 1.50.0-2.mga6
+ Revision: 1031061
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 1.50.0-1.mga6
+ Revision: 989837
- update to 1.05

* Sat Jan 16 2016 shlomif <shlomif> 1.40.0-1.mga6
+ Revision: 923870
- update to 1.04

* Sun Nov 15 2015 tv <tv> 1.30.0-1.mga6
+ Revision: 903254
- new release

* Mon Sep 28 2015 sander85 <sander85> 1.20.0-1.mga6
+ Revision: 884730
- update to 1.02

* Tue Jul 07 2015 sander85 <sander85> 1.10.0-1.mga6
+ Revision: 852444
- update to 1.01

* Fri Jun 26 2015 tv <tv> 0.830.0-2.mga6
+ Revision: 845046
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 0.830.0-1.mga6
+ Revision: 840937
- New version 0.83 + Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 0.770.0-4.mga5
+ Revision: 739110
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.770.0-3.mga5
+ Revision: 732414
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.770.0-2.mga5
+ Revision: 685638
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 jquelin <jquelin> 0.770.0-1.mga5
+ Revision: 640014
- update to 0.77
- update to 0.76

* Tue Jun 03 2014 pterjan <pterjan> 0.750.0-2.mga5
+ Revision: 631479
- Rebuild for perl 5.20

* Tue May 20 2014 jquelin <jquelin> 0.750.0-1.mga5
+ Revision: 624368
- update to 0.75

* Mon Feb 10 2014 jquelin <jquelin> 0.740.0-1.mga5
+ Revision: 588550
- update to 0.74

* Sat Oct 19 2013 umeabot <umeabot> 0.720.0-5.mga4
+ Revision: 525021
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.720.0-4.mga4
+ Revision: 431747
+ rebuild (emptylog)

* Wed May 29 2013 jquelin <jquelin> 0.720.0-3.mga4
+ Revision: 431741
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.720.0-2.mga3
+ Revision: 370533
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.720.0-1.mga3
+ Revision: 342438
- update to 0.72

* Wed May 30 2012 jquelin <jquelin> 0.680.0-2.mga3
+ Revision: 250985
- rebuild for perl 5.16

* Thu Feb 23 2012 jquelin <jquelin> 0.680.0-1.mga2
+ Revision: 213106
- update to 0.68

* Mon Nov 07 2011 kharec <kharec> 0.670.0-1.mga2
+ Revision: 165004
- update to 0.67

* Sun Jun 12 2011 sander85 <sander85> 0.660.0-4.mga2
+ Revision: 104835
- Rebuild for perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 0.660.0-3.mga1
+ Revision: 13333
- imported package perl-Net-DNS

